package com.diagbot.util;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Component
@PropertySource(value={"classpath:jdbc.properties"})
public class ReadProperties {

	@Value(value="${remote.address.ver}")
	public String remoteAddressVer;
	
	@Value(value="${remote.address.hor}")
	public String remoteAddressHor;
	
	@Value(value="${jdbc.driverClassName}")
	public String jdbcDriverClassName;
	
	@Value(value="${jdbc.url}")
	public String jdbcUrl;
	
	@Value(value="${jdbc.username}")
	public String jdbcUsername;
	
	@Value(value="${jdbc.password}")
	public String jdbcPassword;

	@Value(value="${process.qc.url}")
	public String processQcUrl;

	public String getRemoteAddressVer() {
		return remoteAddressVer;
	}

	public String getRemoteAddressHor() {
		return remoteAddressHor;
	}

	@Value(value="${his.patient.url}")
	public String hisPatientUrl;




	public String getHisPatientUrl() {
		return hisPatientUrl;
	}

	public String getJdbcDriverClassName() {
		return jdbcDriverClassName;
	}

	public String getJdbcUrl() {
		return jdbcUrl;
	}

	public String getJdbcUsername() {
		return jdbcUsername;
	}

	public String getJdbcPassword() {
		return jdbcPassword;
	}
	
	public String getProcessQcUrl(){return processQcUrl;}
	
}
